Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Class RasterCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.gui.RasterCImpl

public class RasterCImpl
extends PhaseCImpl
implements ArchivedGeometryWidgetC, ArchivedGeometryWidgetS, RasterS, RasterC

A two dimension color display class.. 2 dimensional, colour pixel images. Raster is based on a Tk frame widget with our own code for fast display of images. You can draw coloured dots on a Raster, or generic Drawers. Raster widgets are double buffered - the pixels you draw are not actually put on the screen until drawSelf is called. In addition, Rasters handle mouse clicks.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`RasterCImpl()`
`RasterCImpl(Raster nextPhase)`

Methods implemented by this class for interface swarm.gui.ArchivedGeometryWidgetC
`create$setWindowGeometryRecordName, loadWindowGeometryRecord, registerAndLoad, setSaveSizeFlag, setWindowGeometryRecordName, updateSize`

Methods implemented by this class for interface swarm.gui.WidgetC
`createParent, makeWidgetNameFor, setParent, setWidgetNameFromParent, setWidgetNameFromParentName`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RasterCImpl

    public RasterCImpl(Raster nextPhase)

### RasterCImpl

    public RasterCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD